Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.expression
Interface PropertyName

All Superinterfaces:
  Expression

    @XmlElement(value="PropertyName")
    public interface PropertyName

extends Expression

Expression class whose value is computed by retrieving the value indicated by the provided name.

The most common applicatoin of this is to retrive a feature's property using an xpath expression.

Please note that the Filter specification allows a limited subset of XPath to be used for the PropertyName. We encourage implementations to match this functionality.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Expression
`NIL`

Method Summary
`String` | `getPropertyName()` Returns the name of the property whose value will be returned by the `evaluate` method.

Methods inherited from interface Expression
`accept, evaluate, evaluate`

Method Detail

### getPropertyName

    String getPropertyName()

  Returns the name of the property whose value will be returned by the `evaluate` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.